Subject: bug#10166: 23.3; [Info-search] "Search Failed"

From: Juri Linkov <[email-masked]>
Date: Thu, 01 Dec 2011 09:41:55 +0200

tags 10166 notabug
close 10166
thanks

>>>>> Almost any search in the attached fileset will fail in this way if you
>>>>> repeat it enough times.  Is the texi ill-formed?
>>>>
>>>> Yes, it's ill-formed.
>>>>
>>>> `Info-search' expects that "^_\nIndirect:" is preceded by a newline in std.info,
>>>> so it fails trying to call (search-forward "\n\^_\nIndirect:").
>>>
>>> Amazing.  It's the direct output of makeinfo, so I can't understand why
>>> the newline would be missing and expected.
>>
>> makeinfo prepends some boilerplate to its output in every Info file
>> that at least begins with a line like:
>>
>>   This is std.info, produced by makeinfo version 4.13 from std.texi.
>>
>> so there is always a newline before ^_Indirect:
>
> Well, I am getting some errors from makeinfo, so maybe that's why I
> don't see that line at the top of the output.  The output appears to be
> otherwise usable (if imperfect).

The file std.info-13 is broken completely and other files lack the
standard header.  Looks like you have translated them with the --force
option that preserves erroneous makeinfo output.  Since there is
no evidence of a bug in Emacs, I'm closing this report as notabug.
You are welcome to post source texi files if you want help
in fixing makeinfo errors.